/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package benten.cat.stat.handler.messages;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[AbstractStatHandlerMessages]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class AbstractStatHandlerMessages {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * AbstractStatHandlerMessagesクラスのコンストラクタ。
     *
     * 基底名[AbstractStatHandlerMessages]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public AbstractStatHandlerMessages() {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/cat/stat/handler/messages/AbstractStatHandlerMessages");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * AbstractStatHandlerMessagesクラスのコンストラクタ。
     *
     * 基底名[AbstractStatHandlerMessages]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public AbstractStatHandlerMessages(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/cat/stat/handler/messages/AbstractStatHandlerMessages", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * AbstractStatHandlerMessagesクラスのコンストラクタ。
     *
     * 基底名[AbstractStatHandlerMessages]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public AbstractStatHandlerMessages(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/cat/stat/handler/messages/AbstractStatHandlerMessages", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[AbstractStatHandlerMessages], key[Msg.001]
     *
     * [処理対象となるファイルまたはディレクトリーを選択してください。] (ja)<br>
     *
     * @return key[Msg.001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMsg001() {
        // 初期値として定義書の値を利用します。
        String strFormat = "処理対象となるファイルまたはディレクトリーを選択してください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("Msg.001");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[AbstractStatHandlerMessages], key[Msg.002]
     *
     * [処理対象を選択してください] (ja)<br>
     *
     * @return key[Msg.002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMsg002() {
        // 初期値として定義書の値を利用します。
        String strFormat = "処理対象を選択してください";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("Msg.002");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[AbstractStatHandlerMessages], key[Msg.003]
     *
     * [処理対象となるファイルがありませんでした。] (ja)<br>
     *
     * @return key[Msg.003]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMsg003() {
        // 初期値として定義書の値を利用します。
        String strFormat = "処理対象となるファイルがありませんでした。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("Msg.003");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[AbstractStatHandlerMessages], key[Msg.004]
     *
     * [処理対象がありません] (ja)<br>
     *
     * @return key[Msg.004]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMsg004() {
        // 初期値として定義書の値を利用します。
        String strFormat = "処理対象がありません";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("Msg.004");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[AbstractStatHandlerMessages], key[Msg.005]
     *
     * [翻訳統計取得中...] (ja)<br>
     *
     * @return key[Msg.005]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMsg005() {
        // 初期値として定義書の値を利用します。
        String strFormat = "翻訳統計取得中...";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("Msg.005");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[AbstractStatHandlerMessages], key[Msg.006]
     *
     * [ProcessFile: {0}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[Msg.006]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMsg006(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ProcessFile: {0}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("Msg.006");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }
}
