/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package benten.cat.stat.model;

/**
 * 統計情報のためのモデル・クラス。
 */
public class TranslationRateModel extends AbstractStatModel {
    /**
     * フィールド: [transUnit]。
     */
    private int fTransUnit;

    /**
     * フィールド: [untranslated]。
     */
    private int fUntranslated;

    /**
     * フィールド: [working]。
     */
    private int fWorking;

    /**
     * フィールド: [translated]。
     */
    private int fTranslated;

    /**
     * フィールド: [untranslatedRate]。
     */
    private int fUntranslatedRate;

    /**
     * フィールド: [workingRate]。
     */
    private int fWorkingRate;

    /**
     * フィールド: [translatedRate]。
     */
    private int fTranslatedRate;

    /**
     * フィールド [transUnit] の値を設定します。
     *
     * @param argTransUnit フィールド[transUnit]に設定する値。
     */
    public void setTransUnit(final int argTransUnit) {
        fTransUnit = argTransUnit;
    }

    /**
     * フィールド [transUnit] の値を取得します。
     *
     * @return フィールド[transUnit]から取得した値。
     */
    public int getTransUnit() {
        return fTransUnit;
    }

    /**
     * フィールド [untranslated] の値を設定します。
     *
     * @param argUntranslated フィールド[untranslated]に設定する値。
     */
    public void setUntranslated(final int argUntranslated) {
        fUntranslated = argUntranslated;
    }

    /**
     * フィールド [untranslated] の値を取得します。
     *
     * @return フィールド[untranslated]から取得した値。
     */
    public int getUntranslated() {
        return fUntranslated;
    }

    /**
     * フィールド [working] の値を設定します。
     *
     * @param argWorking フィールド[working]に設定する値。
     */
    public void setWorking(final int argWorking) {
        fWorking = argWorking;
    }

    /**
     * フィールド [working] の値を取得します。
     *
     * @return フィールド[working]から取得した値。
     */
    public int getWorking() {
        return fWorking;
    }

    /**
     * フィールド [translated] の値を設定します。
     *
     * @param argTranslated フィールド[translated]に設定する値。
     */
    public void setTranslated(final int argTranslated) {
        fTranslated = argTranslated;
    }

    /**
     * フィールド [translated] の値を取得します。
     *
     * @return フィールド[translated]から取得した値。
     */
    public int getTranslated() {
        return fTranslated;
    }

    /**
     * フィールド [untranslatedRate] の値を設定します。
     *
     * @param argUntranslatedRate フィールド[untranslatedRate]に設定する値。
     */
    public void setUntranslatedRate(final int argUntranslatedRate) {
        fUntranslatedRate = argUntranslatedRate;
    }

    /**
     * フィールド [untranslatedRate] の値を取得します。
     *
     * @return フィールド[untranslatedRate]から取得した値。
     */
    public int getUntranslatedRate() {
        return fUntranslatedRate;
    }

    /**
     * フィールド [workingRate] の値を設定します。
     *
     * @param argWorkingRate フィールド[workingRate]に設定する値。
     */
    public void setWorkingRate(final int argWorkingRate) {
        fWorkingRate = argWorkingRate;
    }

    /**
     * フィールド [workingRate] の値を取得します。
     *
     * @return フィールド[workingRate]から取得した値。
     */
    public int getWorkingRate() {
        return fWorkingRate;
    }

    /**
     * フィールド [translatedRate] の値を設定します。
     *
     * @param argTranslatedRate フィールド[translatedRate]に設定する値。
     */
    public void setTranslatedRate(final int argTranslatedRate) {
        fTranslatedRate = argTranslatedRate;
    }

    /**
     * フィールド [translatedRate] の値を取得します。
     *
     * @return フィールド[translatedRate]から取得した値。
     */
    public int getTranslatedRate() {
        return fTranslatedRate;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("benten.cat.stat.model.TranslationRateModel[");
        buf.append("transUnit=" + fTransUnit);
        buf.append(",untranslated=" + fUntranslated);
        buf.append(",working=" + fWorking);
        buf.append(",translated=" + fTranslated);
        buf.append(",untranslatedRate=" + fUntranslatedRate);
        buf.append(",workingRate=" + fWorkingRate);
        buf.append(",translatedRate=" + fTranslatedRate);
        buf.append("]");
        return buf.toString();
    }
}
