/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package benten.cat.stat.views.messages;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[TranslationRateViewMessages]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class TranslationRateViewMessages {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * TranslationRateViewMessagesクラスのコンストラクタ。
     *
     * 基底名[TranslationRateViewMessages]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public TranslationRateViewMessages() {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/cat/stat/views/messages/TranslationRateViewMessages");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * TranslationRateViewMessagesクラスのコンストラクタ。
     *
     * 基底名[TranslationRateViewMessages]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public TranslationRateViewMessages(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/cat/stat/views/messages/TranslationRateViewMessages", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * TranslationRateViewMessagesクラスのコンストラクタ。
     *
     * 基底名[TranslationRateViewMessages]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public TranslationRateViewMessages(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/cat/stat/views/messages/TranslationRateViewMessages", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[TranslationRateViewMessages], key[resource]
     *
     * [リソース] (ja)<br>
     *
     * @return key[resource]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getResource() {
        // 初期値として定義書の値を利用します。
        String strFormat = "リソース";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("resource");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[TranslationRateViewMessages], key[trans_unit]
     *
     * [翻訳単位] (ja)<br>
     *
     * @return key[trans_unit]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getTransUnit() {
        // 初期値として定義書の値を利用します。
        String strFormat = "翻訳単位";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("trans_unit");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[TranslationRateViewMessages], key[not_translated]
     *
     * [未翻訳] (ja)<br>
     *
     * @return key[not_translated]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getNotTranslated() {
        // 初期値として定義書の値を利用します。
        String strFormat = "未翻訳";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("not_translated");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[TranslationRateViewMessages], key[not_translated_ratio]
     *
     * [未翻訳率] (ja)<br>
     *
     * @return key[not_translated_ratio]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getNotTranslatedRatio() {
        // 初期値として定義書の値を利用します。
        String strFormat = "未翻訳率";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("not_translated_ratio");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[TranslationRateViewMessages], key[translating]
     *
     * [翻訳中] (ja)<br>
     *
     * @return key[translating]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getTranslating() {
        // 初期値として定義書の値を利用します。
        String strFormat = "翻訳中";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("translating");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[TranslationRateViewMessages], key[translating_ratio]
     *
     * [翻訳中率] (ja)<br>
     *
     * @return key[translating_ratio]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getTranslatingRatio() {
        // 初期値として定義書の値を利用します。
        String strFormat = "翻訳中率";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("translating_ratio");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[TranslationRateViewMessages], key[translated]
     *
     * [翻訳済] (ja)<br>
     *
     * @return key[translated]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getTranslated() {
        // 初期値として定義書の値を利用します。
        String strFormat = "翻訳済";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("translated");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[TranslationRateViewMessages], key[translated_ratio]
     *
     * [翻訳済率] (ja)<br>
     *
     * @return key[translated_ratio]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getTranslatedRatio() {
        // 初期値として定義書の値を利用します。
        String strFormat = "翻訳済率";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("translated_ratio");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }
}
